// inline guard. Did I mention that c/c++ is broken by design?
#ifndef LPT_h
#define LPT_h

#include "Arduino.h"
#include <inttypes.h>
#include "Print.h"

class LPT : public Print
{
  private:
      const unsigned long PrtStrobeTime = 4; // ms . noone knows...
      const unsigned long PtrWaitLimit = 5000; // ms . unknown, too.

      uint8_t _DS;
	  uint8_t _ST_CP;
	  uint8_t _SH_CP;
	  uint8_t _STROBE;
	  uint8_t _BUSY;

      void c74hc595Out(const byte data);
  public:
    LPT();
    size_t write(uint8_t data);

    void begin(uint8_t DS, uint8_t ST_CP, uint8_t SH_CP, uint8_t STROBE, uint8_t BUSY);
	
	boolean isbusy(void);
};

#endif
